cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
343
Views
0
Helpful
1
Replies
Netmart
Beginner

NETCONF Get Config on CISCO IOS XE

Hello,

When I am running the NC-get-config file against the cisco 1csr1000v, I receive the following error:

 

gns3@gns3:~/scripts$ python2.7 NC-get-config_v2.py --host *** -u *** -p ***
/home/gns3/.local/lib/python2.7/site-packages/paramiko/transport.py:33: CryptographyDeprecationWarning: Python 2 is no longer supported by the Python core team. Support for it is now deprecated in cryptography, and will be removed in the next release.
  from cryptography.hazmat.backends import default_backend
Traceback (most recent call last):
  File "NC-get-config_v2.py", line 35, in <module>
    xmlDom = xml.dom.minidom.parseString( str( m.get_config('running', hostname_filter)))
  File "/home/gns3/.local/lib/python2.7/site-packages/ncclient/manager.py", line 231, in execute
    huge_tree=self._huge_tree).request(*args, **kwds)
  File "/home/gns3/.local/lib/python2.7/site-packages/ncclient/operations/retrieve.py", line 166, in request
    return self._request(node)
  File "/home/gns3/.local/lib/python2.7/site-packages/ncclient/operations/rpc.py", line 360, in _request
    raise self._reply.error
ncclient.operations.rpc.RPCError: {'info': None, 'severity': 'error', 'tag': 'access-denied', 'path': None, 'message': None, 'app_tag': None, 'type': 'protocol'}

 

I would appreciate if someone could advise on the output.

 

Thanks,

 

1 REPLY 1
marce1000
VIP Advisor

 

 -  https://www.cisco.com/c/en/us/td/docs/ios-xml/ios/prog/configuration/166/b_166_programmability_cg/configuring_yang_datamodel.html

 Check :  Table 2.Feature Information for NETCONF Protocol  -> use at least  XE Fuji 16.8.1a  on your device.

 M.

 

Content for Community-Ad